# Annotation Interface NoOverride

@Documented @Target({METHOD,CONSTRUCTOR}) @Retention(CLASS) public @interface NoOverride
Methods tagged with this annotation are declaring they are not to be overridden by clients. If this annotation is used anywhere other than methods it will be ignored.

Since:
  1.0

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
A message to provide contextual information to clients about why this annotations is applied.

## Element Details

### value

String value
A message to provide contextual information to clients about why this annotations is applied.

Since:
  1.3

Default:
  `"This method is not intended to be re-implemented or extended by clients."`